#ifndef __parse_h
#define __parse_h

#define MAX_PARSE 1024

struct parse {
	char *data;
	struct parse *next;
};

struct parse_hdr {
	struct parse *data;
	struct parse_hdr *next;
};

void ins_one(struct parse_hdr *hdr, char *data);
char *get_one_data(struct parse_hdr *parse, char *name);
int get_one_data_int(struct parse_hdr *parse, char *name);
char *get_data(struct parse_hdr *parse, char *name);
struct parse *parse_line(char *line);
struct parse_hdr *parse_file(char *file);
struct parse *get_token(struct parse *parse, int num);
char *get_token_s(struct parse *parse, int num);
char *get_token_d(struct parse *p);
struct parse_hdr *get_entry(struct parse_hdr *parse, char *name);
struct parse_hdr *get_one(struct parse_hdr *parse, char *name); /* return NULL if multiples */
void free_parse(struct parse *p);
void free_parse_hdr(struct parse_hdr *p);
struct parse_hdr *parse_lines(char *lines);
	
#endif
